Bug 67837 - X using excessive memory ?
X using excessive memory ?
Product: Red Hat Raw Hide
Classification: Retired
Component: gnome-panel (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
Depends On:
Blocks: 67217
  Show dependency treegraph
Reported: 2002-07-02 15:08 EDT by ellson
Modified: 2007-03-26 23:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-09-17 12:23:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
X11 configuration (1.79 KB, text/plain)
2002-07-10 11:01 EDT, ellson
no flags Details
X11 log (34.87 KB, text/plain)
2002-07-10 11:01 EDT, ellson
no flags Details

  None (edit)
Description ellson 2002-07-02 15:08:36 EDT
Description of Problem:
After two day's usage, top shows:
 1793 root      15   0  324M 115M 56696 R     7.0 46.5 553:02 X
Doesn't this seem like an excessive use of memory? 

System is very sluggish from all the swapping. (256M or real memory).
Desktop background is solid color.  Hardware is Matrox G450 dual head.
Displays are both 1600*1200 24bit.

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:

Actual Results:

Expected Results:

Additional Information:
Comment 1 ellson 2002-07-02 15:38:22 EDT
I think nautilus is adding 1M to X11 memory every time it is opened.
I rebooted and made these notes as I started use of the workstation:

Before login.  GDM only.
 1797 root      15   0 57384 8072  2424 S     0.9  3.1   0:01 X
After login.  Blank desktop.    Solid color background.
 1797 root      15   0 90248  39M  3892 S     0.3 16.0   0:04 X
Open the close Mozilla once.
 1797 root      15   0 92532  42M  4824 S     0.1 16.9   0:08 X
Open, then close 2 Nautilus windows.
 1797 root      15   0 94972  44M  5128 S     0.1 17.9   0:12 X
Open, then close 2 Nautilus windows.
 1797 root      15   0 97280  46M  5136 S     0.9 18.8   0:16 X
Open, then close 5 gnome-terminals.
 1797 root      15   0 97388  46M  5136 S     0.7 18.8   0:20 X
Open, then close 2 Nautilus windows.
 1797 root      15   0 98.4M  50M  5140 S     0.1 20.1   0:24 X
Open 1 nautilus window, maximize & minimize, move across both screens, close.
 1797 root      15   0  100M  51M  5244 S     0.3 20.8   0:31 X
Comment 2 ellson 2002-07-02 16:14:42 EDT
Here is a small wish script that causes X to use about 5M each time
its is run.    Changing # iterations from 100 to 10 reduces the
amount X uses.

wm withdraw .
set i 100
while {[incr i -1]} {
        toplevel .a
        update idletasks
        destroy .a
        update idletasks
Comment 3 Mike A. Harris 2002-07-10 01:17:47 EDT
Please attach your X server config and log file.  Most bug reports reported
against XFree86 with respect to X consuming a lot of memory are applications
leaking pixmaps, and not X server bugs.  Pixmaps are stored in the X server,
so it appears that the X server is leaking memory.

It's too bad the Xres extension isn't included in this release or we could use
it to debug the issue. ;o/

I've cc'd alexl, in case he is aware of any nautilus pixmap leaking issues.
Comment 4 Alexander Larsson 2002-07-10 10:42:02 EDT
I don't know of a nautilus leak. But there may be one still. I'll have a look.
Comment 5 ellson 2002-07-10 11:01:03 EDT
Created attachment 64607 [details]
X11 configuration
Comment 6 ellson 2002-07-10 11:01:53 EDT
Created attachment 64608 [details]
X11 log
Comment 7 ellson 2002-07-10 11:03:43 EDT
X11 configuration and log attached, as requested.

I've verified that problem still exists today with:
Comment 8 ellson 2002-07-10 12:00:33 EDT
I just added the "int10" module to my config, which fixed the
problem of the unresolved symbols that you can see in my log,
but it did not solve the memory leak problem.
Comment 9 ellson 2002-07-10 12:29:22 EDT
The problem is not due to nautilus.
(I did "killall nautilus" multiple times until it stayed dead, then
ran the wish test script, and the leak was still there.)

The problem seems to be caused by the window-list applet on the gnmome-panel.
If I remove that applet and run the test the leak has stopped.

I changed the component for this bug to gnome-panel
Comment 10 Mike A. Harris 2002-07-20 12:09:13 EDT
Reassigning to gnome-panel maintainer
Comment 11 Preston Brown 2002-08-13 20:47:02 EDT
Havoc:  didn't you just fix some pixmap leaks?  Can Blizzard help out with this?
Comment 12 Havoc Pennington 2002-08-13 21:03:18 EDT
Alex just fixed a problem in the Bluecurve GTK 2 theme that was causing the
window list applet to leak pixmaps. This should be in redhat-artwork 0.30.
Probably fixes this, let's go ahead and say ->MODIFIED, please verify 
if you were able to reproduce earlier.
Comment 13 Jay Turner 2002-09-03 11:32:05 EDT
Still waiting to hear back if the latest packages fix-up these problems you were
Comment 14 ellson 2002-09-17 12:23:21 EDT
It looks like the problem is fixed.  I do not observe the same leakage using the
above tcl test script on my system that has been updated to today's rawhide.

I modified the script to perform 1000 window openings/closing and still no leaks

Comment 15 Christopher Blizzard 2002-09-17 13:12:22 EDT
Thanks!  Marking worksforme.

Note You need to log in before you can comment on or make changes to this bug.